# Componere\Abstract\Definition::addMethod

(Componere 2 >= 2.1.0)

Componere\Abstract\Definition::addMethod — Añadir método

### Descripción

public Componere\Abstract\Definition::addMethod(string `$name`, Componere\Method `$method`): Definition

Creará o anulará un método en la definición actual.

### Parámetros

`name`

  El nombre del método insensible a las mayúsculas y minúsculas

`method`

  Componere\Method que no se haya añadido previamente a otra Definition

### Valores devueltos

La Definition actual

### Exceptions

Advertencia

Lanzará RuntimeException si Definition se registró

Advertencia

Lanzará RuntimeException si el método se añadió a otra definición